Summary:	Crypto and SSL toolkit for Python
Name:		python-m2crypto
Version:	0.21.1
Release:	6
License:	MIT
Group: 		Development/Python
Url: 		http://chandlerproject.org/Projects/MeTooCrypto
Source0:	http://pypi.python.org/packages/source/M/M2Crypto/M2Crypto-%{version}.tar.gz
# Fedora patches
# https://bugzilla.osafoundation.org/show_bug.cgi?id=2341
Patch0:		m2crypto-0.21.1-timeouts.patch
# This is only precautionary, it does fix anything - not sent upstream
Patch1:		m2crypto-0.21.1-gcc_macros.patch
# https://bugzilla.osafoundation.org/show_bug.cgi?id=12972
Patch2:		m2crypto-0.20.2-fips.patch
# https://bugzilla.osafoundation.org/show_bug.cgi?id=12973
Patch3:		m2crypto-0.20.2-check.patch
# https://bugzilla.osafoundation.org/show_bug.cgi?id=13005
Patch4:		m2crypto-0.21.1-memoryview.patch
# https://bugzilla.osafoundation.org/show_bug.cgi?id=13020
Patch5:		m2crypto-0.21.1-smime-doc.patch
# https://bugzilla.osafoundation.org/show_bug.cgi?id=12999
Patch6:		m2crypto-0.21.1-AES_crypt.patch
# https://bugzilla.osafoundation.org/show_bug.cgi?id=13044
Patch7:		m2crypto-0.21.1-IPv6.patch
# https://bugzilla.osafoundation.org/show_bug.cgi?id=13049
Patch8:		m2crypto-0.21.1-https-proxy.patch
# Drop SSLv2 support to avoid undefined symbols since OpenSSL 1.0.1s
Patch9:		M2Crypto-0.21.1-drop-ssl2.patch
BuildRequires:	swig
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(python)

%description
M2Crypto is a crypto and SSL toolkit for Python featuring the following:

    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
    * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
    * Unforgeable HMAC'ing AuthCookies for web session management.
    * FTP/TLS client and server.
    * S/MIME.
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.

%files
%doc CHANGES README INSTALL LICENCE
%{py_platsitedir}/M2Crypto
%{py_platsitedir}/*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -q -n M2Crypto-%{version}
%patch0 -p1 -b .timeouts
%patch1 -p1 -b .gcc_macros
%patch2 -p1 -b .fips
%patch3 -p1 -b .check
%patch4 -p1 -b .memoryview
%patch5 -p0
%patch6 -p0 -b .AES_crypt
%patch7 -p1 -b .IPv6
%patch8 -p1 -b .https-proxy
%patch9 -p1 -b .ssl2

for i in SWIG/_ec.i SWIG/_evp.i; do
	sed -i -e "s/openssl\/opensslconf/%{multiarch_platform}\/openssl\/opensslconf/" "$i"
done

gcc -E -dM - < /dev/null | grep -v __STDC__ \
        | sed 's/^\(#define \([^ ]*\) .*\)$/#undef \2\n\1/' > SWIG/gcc_macros.h

%build
env CFLAGS="%{optflags}" python setup.py build
# test requires some files ( such as a certificat, so disabled for now )
#PYTHONPATH="./build/lib.linux-i686-2.4/M2Crypto/:." python tests/alltests.py

%install
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES


%changelog

* Wed Mar 16 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.21.1-6
- (75934a4) Add patch to drop SSLv2 support to avoid undefined symbols since OpenSSL 1.0.1s
- (75934a4) Spec cleanup


